curl --request POST \ --url https://api.sandbox.asapp.com/generativeagent/v1/analyze \ --header 'Content-Type: application/json' \ --header 'asapp-api-id: <api-key>' \ --header 'asapp-api-secret: <api-key>' \ --data '{ "conversationId": "01BX5ZZKBKACTAV9WEVGEMMVS0", "message": { "text": "Hello, I would like to upgrade my internet plan to GOLD.", "sender": { "role": "customer", "externalId": 123 }, "timestamp": "2021-11-23T12:13:14.555Z" }, "taskName": "UpgradePlan", "inputVariables": { "context": "Customer called to upgrade their current plan to GOLD", "customer_info": { "current_plan": "SILVER", "customer_since": "2020-01-01" } }, "channelType": "digital"}'
import requests
url = "https://api.sandbox.asapp.com/generativeagent/v1/analyze"
payload = {
"conversationId": "01BX5ZZKBKACTAV9WEVGEMMVS0",
"message": {
"text": "Hello, I would like to upgrade my internet plan to GOLD.",
"sender": {
"role": "customer",
"externalId": 123
},
"timestamp": "2021-11-23T12:13:14.555Z"
},
"taskName": "UpgradePlan",
"inputVariables": {
"context": "Customer called to upgrade their current plan to GOLD",
"customer_info": {
"current_plan": "SILVER",
"customer_since": "2020-01-01"
}
},
"channelType": "digital"
}
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
conversationId: '01BX5ZZKBKACTAV9WEVGEMMVS0',
message: {
text: 'Hello, I would like to upgrade my internet plan to GOLD.',
sender: {role: 'customer', externalId: 123},
timestamp: '2021-11-23T12:13:14.555Z'
},
taskName: 'UpgradePlan',
inputVariables: {
context: 'Customer called to upgrade their current plan to GOLD',
customer_info: {current_plan: 'SILVER', customer_since: '2020-01-01'}
},
channelType: 'digital'
})
};
fetch('https://api.sandbox.asapp.com/generativeagent/v1/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.asapp.com/generativeagent/v1/analyze",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => '01BX5ZZKBKACTAV9WEVGEMMVS0',
'message' => [
'text' => 'Hello, I would like to upgrade my internet plan to GOLD.',
'sender' => [
'role' => 'customer',
'externalId' => 123
],
'timestamp' => '2021-11-23T12:13:14.555Z'
],
'taskName' => 'UpgradePlan',
'inputVariables' => [
'context' => 'Customer called to upgrade their current plan to GOLD',
'customer_info' => [
'current_plan' => 'SILVER',
'customer_since' => '2020-01-01'
]
],
'channelType' => 'digital'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"asapp-api-id: <api-key>",
"asapp-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.asapp.com/generativeagent/v1/analyze"
payload := strings.NewReader("{\n \"conversationId\": \"01BX5ZZKBKACTAV9WEVGEMMVS0\",\n \"message\": {\n \"text\": \"Hello, I would like to upgrade my internet plan to GOLD.\",\n \"sender\": {\n \"role\": \"customer\",\n \"externalId\": 123\n },\n \"timestamp\": \"2021-11-23T12:13:14.555Z\"\n },\n \"taskName\": \"UpgradePlan\",\n \"inputVariables\": {\n \"context\": \"Customer called to upgrade their current plan to GOLD\",\n \"customer_info\": {\n \"current_plan\": \"SILVER\",\n \"customer_since\": \"2020-01-01\"\n }\n },\n \"channelType\": \"digital\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("asapp-api-id", "<api-key>")
req.Header.Add("asapp-api-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.sandbox.asapp.com/generativeagent/v1/analyze")
.header("asapp-api-id", "<api-key>")
.header("asapp-api-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"01BX5ZZKBKACTAV9WEVGEMMVS0\",\n \"message\": {\n \"text\": \"Hello, I would like to upgrade my internet plan to GOLD.\",\n \"sender\": {\n \"role\": \"customer\",\n \"externalId\": 123\n },\n \"timestamp\": \"2021-11-23T12:13:14.555Z\"\n },\n \"taskName\": \"UpgradePlan\",\n \"inputVariables\": {\n \"context\": \"Customer called to upgrade their current plan to GOLD\",\n \"customer_info\": {\n \"current_plan\": \"SILVER\",\n \"customer_since\": \"2020-01-01\"\n }\n },\n \"channelType\": \"digital\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.sandbox.asapp.com/generativeagent/v1/analyze")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["asapp-api-id"] = '<api-key>'
request["asapp-api-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversationId\": \"01BX5ZZKBKACTAV9WEVGEMMVS0\",\n \"message\": {\n \"text\": \"Hello, I would like to upgrade my internet plan to GOLD.\",\n \"sender\": {\n \"role\": \"customer\",\n \"externalId\": 123\n },\n \"timestamp\": \"2021-11-23T12:13:14.555Z\"\n },\n \"taskName\": \"UpgradePlan\",\n \"inputVariables\": {\n \"context\": \"Customer called to upgrade their current plan to GOLD\",\n \"customer_info\": {\n \"current_plan\": \"SILVER\",\n \"customer_since\": \"2020-01-01\"\n }\n },\n \"channelType\": \"digital\"\n}"
response = http.request(request)
puts response.read_body
Call this API to trigger GenerativeAgent to analyze and respond to a conversation.
This API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback.
This API also adds an optional message field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint
POST
/
generativeagent
/
v1
/
analyze
Analyze conversation
curl --request POST \ --url https://api.sandbox.asapp.com/generativeagent/v1/analyze \ --header 'Content-Type: application/json' \ --header 'asapp-api-id: <api-key>' \ --header 'asapp-api-secret: <api-key>' \ --data '{ "conversationId": "01BX5ZZKBKACTAV9WEVGEMMVS0", "message": { "text": "Hello, I would like to upgrade my internet plan to GOLD.", "sender": { "role": "customer", "externalId": 123 }, "timestamp": "2021-11-23T12:13:14.555Z" }, "taskName": "UpgradePlan", "inputVariables": { "context": "Customer called to upgrade their current plan to GOLD", "customer_info": { "current_plan": "SILVER", "customer_since": "2020-01-01" } }, "channelType": "digital"}'
import requests
url = "https://api.sandbox.asapp.com/generativeagent/v1/analyze"
payload = {
"conversationId": "01BX5ZZKBKACTAV9WEVGEMMVS0",
"message": {
"text": "Hello, I would like to upgrade my internet plan to GOLD.",
"sender": {
"role": "customer",
"externalId": 123
},
"timestamp": "2021-11-23T12:13:14.555Z"
},
"taskName": "UpgradePlan",
"inputVariables": {
"context": "Customer called to upgrade their current plan to GOLD",
"customer_info": {
"current_plan": "SILVER",
"customer_since": "2020-01-01"
}
},
"channelType": "digital"
}
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
conversationId: '01BX5ZZKBKACTAV9WEVGEMMVS0',
message: {
text: 'Hello, I would like to upgrade my internet plan to GOLD.',
sender: {role: 'customer', externalId: 123},
timestamp: '2021-11-23T12:13:14.555Z'
},
taskName: 'UpgradePlan',
inputVariables: {
context: 'Customer called to upgrade their current plan to GOLD',
customer_info: {current_plan: 'SILVER', customer_since: '2020-01-01'}
},
channelType: 'digital'
})
};
fetch('https://api.sandbox.asapp.com/generativeagent/v1/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.asapp.com/generativeagent/v1/analyze",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => '01BX5ZZKBKACTAV9WEVGEMMVS0',
'message' => [
'text' => 'Hello, I would like to upgrade my internet plan to GOLD.',
'sender' => [
'role' => 'customer',
'externalId' => 123
],
'timestamp' => '2021-11-23T12:13:14.555Z'
],
'taskName' => 'UpgradePlan',
'inputVariables' => [
'context' => 'Customer called to upgrade their current plan to GOLD',
'customer_info' => [
'current_plan' => 'SILVER',
'customer_since' => '2020-01-01'
]
],
'channelType' => 'digital'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"asapp-api-id: <api-key>",
"asapp-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.asapp.com/generativeagent/v1/analyze"
payload := strings.NewReader("{\n \"conversationId\": \"01BX5ZZKBKACTAV9WEVGEMMVS0\",\n \"message\": {\n \"text\": \"Hello, I would like to upgrade my internet plan to GOLD.\",\n \"sender\": {\n \"role\": \"customer\",\n \"externalId\": 123\n },\n \"timestamp\": \"2021-11-23T12:13:14.555Z\"\n },\n \"taskName\": \"UpgradePlan\",\n \"inputVariables\": {\n \"context\": \"Customer called to upgrade their current plan to GOLD\",\n \"customer_info\": {\n \"current_plan\": \"SILVER\",\n \"customer_since\": \"2020-01-01\"\n }\n },\n \"channelType\": \"digital\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("asapp-api-id", "<api-key>")
req.Header.Add("asapp-api-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.sandbox.asapp.com/generativeagent/v1/analyze")
.header("asapp-api-id", "<api-key>")
.header("asapp-api-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"01BX5ZZKBKACTAV9WEVGEMMVS0\",\n \"message\": {\n \"text\": \"Hello, I would like to upgrade my internet plan to GOLD.\",\n \"sender\": {\n \"role\": \"customer\",\n \"externalId\": 123\n },\n \"timestamp\": \"2021-11-23T12:13:14.555Z\"\n },\n \"taskName\": \"UpgradePlan\",\n \"inputVariables\": {\n \"context\": \"Customer called to upgrade their current plan to GOLD\",\n \"customer_info\": {\n \"current_plan\": \"SILVER\",\n \"customer_since\": \"2020-01-01\"\n }\n },\n \"channelType\": \"digital\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.sandbox.asapp.com/generativeagent/v1/analyze")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["asapp-api-id"] = '<api-key>'
request["asapp-api-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversationId\": \"01BX5ZZKBKACTAV9WEVGEMMVS0\",\n \"message\": {\n \"text\": \"Hello, I would like to upgrade my internet plan to GOLD.\",\n \"sender\": {\n \"role\": \"customer\",\n \"externalId\": 123\n },\n \"timestamp\": \"2021-11-23T12:13:14.555Z\"\n },\n \"taskName\": \"UpgradePlan\",\n \"inputVariables\": {\n \"context\": \"Customer called to upgrade their current plan to GOLD\",\n \"customer_info\": {\n \"current_plan\": \"SILVER\",\n \"customer_since\": \"2020-01-01\"\n }\n },\n \"channelType\": \"digital\"\n}"
response = http.request(request)
puts response.read_body
Input variables to be used as context in the analysis.
Example:
{ "call_context": "Customer called to upgrade their current plan to GOLD", "customer_info": { "current_plan": "SILVER", "customer_since": "2020-01-01" } }
Represents a single message within a conversation.
Show child attributes
Example:
{ "text": "Hello, I would like to upgrade my internet plan to GOLD.", "sender": { "role": "customer", "externalId": 123 }, "timestamp": "2021-11-23T12:13:14.555Z" }
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ASAPP Docs","colors":{"primary":"#6447C4","light":"#6447C4","dark":"#AC6DF3"},"logo":{"light":"https://mintcdn.com/asapp/9GJ5RFRMu6cXOBP0/logo/light.svg?fit=max\u0026auto=format\u0026n=9GJ5RFRMu6cXOBP0\u0026q=85\u0026s=3d6ef3b54017be3d33a6a40e7b5e8e28","dark":"https://mintcdn.com/asapp/9GJ5RFRMu6cXOBP0/logo/dark.svg?fit=max\u0026auto=format\u0026n=9GJ5RFRMu6cXOBP0\u0026q=85\u0026s=041f5c7f661563602525d5f79871ddac"},"favicon":"https://mintcdn.com/asapp/9jlDT2iVQhMOPce8/favicon.png?fit=max\u0026auto=format\u0026n=9jlDT2iVQhMOPce8\u0026q=85\u0026s=85e50adb55cc55ea9fea7b8d717d7a94","api":{"playground":{"display":"interactive"}},"background":{"image":{"light":"https://mintcdn.com/asapp/oWc-pd36yCvpD40u/images/background-light.png?fit=max\u0026auto=format\u0026n=oWc-pd36yCvpD40u\u0026q=85\u0026s=416bbcb2c50133caf4ec8e9e4531fbec","dark":"https://mintcdn.com/asapp/oWc-pd36yCvpD40u/images/background-dark.png?fit=max\u0026auto=format\u0026n=oWc-pd36yCvpD40u\u0026q=85\u0026s=6230a9d347b567351501716f228b9042"},"color":{"light":"#ffffff","dark":"#101820"}},"navbar":{"links":[{"href":"https://ai-console.asapp.com","label":"AI Console"}],"primary":{"type":"button","label":"Contact Us","href":"https://www.asapp.com/get-started?utm_souce=docs\u0026utm_medium=referral\u0026utm_content=mainnav"}},"footer":{"socials":{"x":"https://x.com/asapp","github":"https://github.com/asappinc","linkedin":"https://www.linkedin.com/company/asappco"}},"fonts":{"family":"Manrope"},"integrations":{"ga4":{"measurementId":"G-N54G4ZCERC"},"gtm":{"tagId":"GTM-5K3466BG"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"asapp","hasAudioNarration":false,"actualSubdomain":"asapp","customDomains":["docs.asapp.com"],"gitSource":{"type":"github","owner":"asappinc","repo":"public-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeaf1644626e1d57eb2e01a","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"GenerativeAgent","count":102},{"language":"default","tag":"Human + AI","count":81},{"language":"default","tag":"API Reference","count":76},{"language":"default","tag":"ASAPP APIs","count":76},{"language":"default","tag":"Integrate","count":29},{"language":"default","tag":"Integrate Channels","count":27},{"language":"default","tag":"AI Productivity","count":24},{"language":"default","tag":"AI Compose","count":24},{"language":"default","tag":"Channel Integrations","count":20},{"language":"default","tag":"Configuration","count":17}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":":root{--Foreground-Fg: #251C1D;--Foreground-Fg-Dark: #c1c1c1;--Foreground-FgSecondary: rgba(37, 28, 29, 0.64);--Foreground-FgSecondary-Dark: rgba(249, 249, 251, 0.70);--Background-Bg: #2F2E32;--article-text: rgba(37, 28, 29, 0.8);;--dark-article-text: var(--Foreground-FgSecondary-Dark);--Brand-brandPrimary: #6447C4;--Background-BgSecondary: #FAF7F6;--Background-BgSecondary-Dark: #28272B;--Border-border: rgba(136, 99, 101, 0.24);--Border-border-Dark: rgba(47, 54, 62);--Accent-accent4: #CAB0D9;--Accent-accent3: #D9BAFC;--Accent-accent4-Dark: #A998B8}#content-container>span.fixed{background-size:cover;background-position:bottom right!important}h6,body,ul,ol,p{}.font-semibold{font-weight:600}html{font-size:16px}html *,html :after,html :before{border-color:var(--Border-border)}.prose tr:is(.dark *){border-color:var(--Border-border-Dark)}.dark *,.dark :after,.dark :before{}.hidden.absolute.dark\\:block.inset-0.overflow-hidden.h-\\[64rem\\]{}Main>span.fixed.inset-0[style*=\"background-image\"]{background-position:center bottom!important;background-size:1600px}.bg-primary-dark.rounded-full{background-color:var(--Brand-brandPrimary)}a[href^=\"https://www.asapp.com\"] span.rounded-full{border-radius:0px}.dark\\:border-gray-800\\/50:is(.dark *){border-color:var(--Border-border-Dark)}.prose{color:var(--article-text)}.dark .prose{}.prose:is(.dark *){color:var(--dark-article-text)}.prose p:not(.not-prose *){margin-bottom:16px}#content-area :where(h1,h2,h3,h4,h5){font-family:MessinaSans, Helvetica, Arial, sans-serif}#content-area h1{font-size:28px}a[href^=\"https://mintlify.com\"]{display:none}#content-area .card p{font-size:14px}#content-area .prose :where(h2,h3,h4,h5):not(.card *){margin-top:24px}#content-area .card svg:min-width(200px){margin-bottom:.5rem}#content-area .maincta .card{border-color:var(--Brand-brandPrimary)}#content-area .card:has(div>div>h2:empty):has(div>div p) div:has(svg){margin-bottom:1.25rem}.dark #content-area .card:has(div>div>h2:empty) div:has(svg) svg path{fill:#ac6df3!important}.dark #content-area .card:has(div>div>h2:empty) div:has(svg) svg g[clip-path=\"url(#clip0_396_970)\"] g{mask:unset!important}@media (min-width: 1220px){#table-of-contents.xl\\:flex{display:flex}#table-of-contents.xl\\:hidden{display:none}}@media (min-width: 1024px){#content-area.lg\\:pl-\\[23\\.7rem\\]{padding-left:22rem}#navbar .lg\\:px-12{padding-left:2rem}}#navbar .px-12{padding-left:2rem}#table-of-contents.pl-10{padding-left:1rem}#table-of-contents.w-\\[19rem\\]{width:14rem}#table-of-contents .w-\\[16\\.5rem\\]{width:14rem}#content-container .gap-12{gap:1rem}.max-w-8xl{max-width:86rem}#content-area>div.relative{margin-top:1rem}#content-area>header>div.prose{margin-top:unset}#content-area>header>div.prose p{font-size:18px}.dark #content-area>header>div.prose p{font-size:18px}.bg-gray-950\\/\\[0\\.03\\]{background-color:unset}.dark .bg-gray-950\\/\\[0\\.03\\]{background-color:unset}#navbar-transition,table,#content-area>div.prose>div>div.not-prose .border{border-color:var(--Border-border)}.dark #navbar-transition,.dark table,.dark #content-area>div.prose>div>div.not-prose .border{border-color:var(--Border-border-Dark)}.prose a{}.prose :where(a:hover):not(:where([class~=not-prose],[class~=not-prose] *)){font-weight:600!important}html:not(.dark) code[language]{filter:saturate(250%)}.dark\\:border-gray-800:is(.dark *){border-color:var(--Border-border-Dark)}.dark\\:bg-codeblock:is(.dark *){background-color:#07111a}.prose a:has(>code){border-bottom-width:0px}.prose a:has(>code):hover{}.prose a[href^=\"/apis\"]:after{content:\"API\";font-size:.65rem;font-weight:400;padding-left:3px;padding-right:3px;padding-top:1px;padding-bottom:1px;margin-left:3px;color:var(--Background-BgSecondary);background-color:var(--Brand-brandPrimary);border-radius:3px;vertical-align:middle}.dark .prose a[href^=\"/apis\"]:after{}.prose :not(pre)>code{background-color:unset;border-color:var(--Accent-accent3);line-height:18px;border-width:1px}.prose strong:not(pre)>code{font-weight:700}.dark .prose :not(pre)>code{border-color:var(--Border-border-Dark)}:not(pre)>code:is(.dark *){--tw-brightness: unset}.prose :has(>code){white-space:pre-wrap}code .token.string{color:var(--Accent-accent3)}#sidebar a[href=\"/\"]{position:relative;display:inline-flex;align-items:center}#sidebar a[href=\"/\"]:after{content:\"Docs\";position:static;margin-left:0.5em;font-size:18px}#navbar a{font-weight:600}.dark #navbar a{}#navbar>div>div>div.hidden a:not([class*=\"group-hover\"]){}.dark #navbar>div>div>div.hidden a:not([class*=group-hover]){}#navbar>div>div>div.hidden a:not([class*=\"group-hover\"])>div{height:3px}#table-of-contents a{}#table-of-contents svg{}#table-of-contents ul>li:not([style*=\"margin-left\"]) a{}#table-of-contents ul>li[style*=\"margin-left\"] a{}#table-of-contents>div>div>span{}.dark #table-of-contents>div>div>span{color:var(--dark-article-text)}#content-area .prose :where(table){border-width:1px;border-radius:4px;width:fit-content;max-width:100%}#content-area .prose :where(thead th:first-child,tbody tr td:first-child){padding-left:12px}#content-area prose :where(thead th:last-child,tbody tr td:last-child){padding-right:12px}#content-area .prose :where(thead th){padding-top:12px;padding-inline-end:8px}#content-area .prose :where(ul){margin-top:0px}#content-area .prose :where(thead){background-color:var(--Background-BgSecondary)}.dark #content-area .prose :where(thead){background-color:var(--Background-BgSecondary-Dark)}#content-area .prose table td{font-size:1rem}#content-area .prose table td{padding-inline-end:8px}#content-area .prose :where(ul:not(.not-prose)>li):before{background-color:unset;content:\"▪\";top:unset;font-size:16px;padding-left:8px;padding-right:8px}#content-area .prose :where(ol){list-style-type:none;counter-reset:item;padding-left:0}#content-area .prose :where(ol>li){counter-increment:item;position:relative;padding-left:28px;margin-bottom:10px}#content-area .prose :where(ol>li)::before{content:counter(item);position:absolute;left:0;top:5px;background:var(--Brand-brandPrimary);border-radius:4px;color:white;width:18px;height:18px;display:flex;align-items:center;justify-content:center;font-size:12px;line-height:1;font-weight:700}.dark #content-area .prose :where(ol>li)::before{}#content-area .prose :where(ol>li)::marker{display:none!important}.dark #content-area div[role=listitem]{background-color:unset}#content-area div[role=listitem] button p{font-weight:700}.dark #navigation-items *{color:var(--Foreground-Fg-Dark)}#navigation-items a *{}#navigation-items h5{font-weight:700;font-size:14px}#content-area .prose ul>li>button{font-size:1rem;font-weight:700}.border-gray-100{border-color:var(--Border-border)}.py-6{padding-top:1rem;padding-bottom:1rem}.mt-4{margin-top:.5rem}.py-6>.font-mono .text-primary{font-size:.95rem}.mt-4 .prose:last-child p:last-child{margin-bottom:0}.prose-sm{font-size:.9rem}.group.flex.font-mono{gap:0rem}main:has(#navbar>div>div>div.hidden a[href^=\"/apis\"]:not([class*=\"group-hover\"])){\u0026 #content-area>header>div.prose{margin-top:1rem}\u0026 #content-area>header>div.prose.text-lg{font-size:1rem}\u0026 #content-area>header>div.prose p{font-size:1rem}}#content-area :where(h1,h2,h3,h4,h5) .absolute>a{margin-left:-1.75rem}.dark\\:text-gray-200:is(.dark *){color:rgb(var(--gray-200))}div[role=\"list\"]>div[role=\"listitem\"]>div.absolute>div.items-center{background-color:var(--Brand-brandPrimary);color:var(--Foreground-Fg-Dark)}#content-area div.flex:has(>div>svg[aria-label=\"Tip\"],>div>svg[aria-label=\"Note\"],>div>svg[aria-label=\"Warning\"],>div>svg[aria-label=\"Info\"])>div.prose>p:last-child{margin-bottom:0px}"}],"page":{"pagePath":"apis/generativeagent/analyze-conversation","slug":"/apis/generativeagent/analyze-conversation","pageMetadata":{"openapi":"api-specs/generativeagent.yaml post /generativeagent/v1/analyze","title":"Analyze conversation","description":"Call this API to trigger GenerativeAgent to analyze and respond to a conversation.\n\nThis API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback.\n\nThis API also adds an optional **message** field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\n","href":"/apis/generativeagent/analyze-conversation"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Call this API to trigger GenerativeAgent to analyze and respond to a conversation.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"This API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"This API also adds an optional \", _jsx(_components.strong, {\n children: \"message\"\n }), \" field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"api-specs/generativeagent.yaml post /generativeagent/v1/analyze","title":"Analyze conversation","description":"Call this API to trigger GenerativeAgent to analyze and respond to a conversation.\n\nThis API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback.\n\nThis API also adds an optional **message** field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\n","href":"/apis/generativeagent/analyze-conversation"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["GenerativeAgent"],"summary":"Analyze conversation","description":"Call this API to trigger GenerativeAgent to analyze and respond to a conversation.\n\nThis API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback.\n\nThis API also adds an optional **message** field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\n","operationId":"postAnalyze","requestBody":"f911ce26-8ae0-4270-aae9-fcf668206bf0","responses":{"200":"66054291-3806-4b9a-87d8-60c487ecbabd","400":"55ca7b72-02b1-460f-b9b9-ffffdb158b55","401":"c7d11734-e9d1-4d91-8ee1-59fb708ea59d","403":"0417e4dd-ad81-4cfb-95ff-83b043b780c0","404":"2571fdb4-e923-42bb-8615-72d8cb2e2d0f","409":"a2218120-426a-4f30-a3ce-c68f79160060","413":"cf110b0b-ef1c-4b0e-ab6a-ad3b085db3bb","422":"5232eb76-11e7-4f0c-82ef-191b216868ed","429":"017a2ae7-c1cb-4f13-b5ca-a019fb710c91","503":"b4428959-0de4-4605-8a7f-949edb8439fe","default":"cd267523-8fe1-40f2-8fd8-71ab5eafe253"},"method":"post","type":"path","servers":["9f56ea91-f86e-4174-8fba-84023c700e29"],"security":["148487a4-6933-4fc0-9afa-8988e0a65a83"],"path":"/generativeagent/v1/analyze","baseUrlOptions":["https://api.sandbox.asapp.com"],"title":"Analyze conversation","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"The parameters for triggering the analysis and response to a conversation","properties":{"conversationId":{"type":"string","description":"Internal conversation identifier from ASAPP","example":"01BX5ZZKBKACTAV9WEVGEMMVS0","isRequired":true,"uniqueKey":"conversationId","typeLabel":"string"},"streamId":{"type":"string","description":"The id associated with the connection where the responses should be sent to.","example":"97555020-0276-435f-8104-c378221ba292","uniqueKey":"streamId","typeLabel":"string"},"taskName":{"type":"string","description":"Name of the task to be used in the analysis","example":"UpgradePlan","uniqueKey":"taskName","typeLabel":"string"},"inputVariables":{"type":"object","description":"Input variables to be used as context in the analysis.","example":{"call_context":"Customer called to upgrade their current plan to GOLD","customer_info":{"current_plan":"SILVER","customer_since":"2020-01-01"}},"uniqueKey":"inputVariables","typeLabel":"object"},"message":{"description":"Represents a single message within a conversation.","type":"object","properties":{"text":{"type":"string","minLength":1,"description":"The content of the message.","isRequired":true,"uniqueKey":"message.text","typeLabel":"string"},"sender":{"description":"Information about the participant who sent the message.","type":"object","properties":{"role":{"description":"The role of the participant in the conversation.","type":"string","enum":["customer"],"isRequired":true,"uniqueKey":"message.sender.role","typeLabel":"enum\u003cstring>"},"externalId":{"type":"string","description":"The unique identifier for the participant in your external system. This should be consistent across all interactions for the same individual.","isRequired":true,"uniqueKey":"message.sender.externalId","typeLabel":"string"}},"required":["role","externalId"],"isRequired":true,"uniqueKey":"message.sender","typeLabel":"object"},"timestamp":{"type":"string","format":"date-time","description":"The time when the message was sent. Include the timezone, otherwise UTC will be assumed.","isRequired":true,"uniqueKey":"message.timestamp","typeLabel":"string\u003cdate-time>"}},"required":["text","sender","timestamp"],"example":{"text":"Hello, I would like to upgrade my internet plan to GOLD.","sender":{"role":"customer","externalId":123},"timestamp":"2021-11-23T12:13:14.555Z"},"uniqueKey":"message","typeLabel":"object"},"channelType":{"description":"Channel type used by the current request (digital or voice)","type":"string","enum":["digital","voice"],"example":"digital","uniqueKey":"channelType","typeLabel":"enum\u003cstring>"}},"required":["conversationId"],"example":{"conversationId":"01BX5ZZKBKACTAV9WEVGEMMVS0","message":{"text":"Hello, I would like to upgrade my internet plan to GOLD.","sender":{"role":"customer","externalId":123},"timestamp":"2021-11-23T12:13:14.555Z"},"taskName":"UpgradePlan","inputVariables":{"context":"Customer called to upgrade their current plan to GOLD","customer_info":{"current_plan":"SILVER","customer_since":"2020-01-01"}},"channelType":"digital"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"conversationId":"01BX5ZZKBKACTAV9WEVGEMMVS0","message":{"text":"Hello, I would like to upgrade my internet plan to GOLD.","sender":{"role":"customer","externalId":123},"timestamp":"2021-11-23T12:13:14.555Z"},"taskName":"UpgradePlan","inputVariables":{"context":"Customer called to upgrade their current plan to GOLD","customer_info":{"current_plan":"SILVER","customer_since":"2020-01-01"}},"channelType":"digital"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"66054291-3806-4b9a-87d8-60c487ecbabd":{"description":"Successfully triggered the bot to analyze and respond to a conversation","content":{"application/json":{"schema":{"type":"object","description":"Conversation identifier and message identifier if passed in the request","properties":{"conversationId":{"type":"string","description":"Internal conversation identifier from ASAPP","example":"01BX5ZZKBKACTAV9WEVGEMMVS0","uniqueKey":"conversationId","typeLabel":"string"},"messageId":{"type":"string","description":"Internal message identifier from ASAPP","example":"01BX5ZZKBKACTAV9WEVGEMMVS1","uniqueKey":"messageId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"conversationId":"01BX5ZZKBKACTAV9WEVGEMMVS0","messageId":"01BX5ZZKBKACTAV9WEVGEMMVS1"}}},"exampleType":"generated"}},"exampleType":"generated"},"55ca7b72-02b1-460f-b9b9-ffffdb158b55":{"description":"400 - Bad request","content":{"application/json":{"schema":{"description":"Bad request response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"400-01","message":"Bad request"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"400-01","message":"Bad request"}}}},"exampleType":"generated"}},"exampleType":"generated"},"c7d11734-e9d1-4d91-8ee1-59fb708ea59d":{"description":"401 - Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"401-01","message":"Unauthorized"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"401-01","message":"Unauthorized"}}}},"exampleType":"generated"}},"exampleType":"generated"},"0417e4dd-ad81-4cfb-95ff-83b043b780c0":{"description":"403 - Forbidden","content":{"application/json":{"schema":{"description":"Forbidden response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"403-01","message":"Forbidden Response"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"403-01","message":"Forbidden Response"}}}},"exampleType":"generated"}},"exampleType":"generated"},"2571fdb4-e923-42bb-8615-72d8cb2e2d0f":{"description":"404 - Not Found","content":{"application/json":{"schema":{"description":"Not Found response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"404-01","message":"Not Found"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"404-01","message":"Not Found"}}}},"exampleType":"generated"}},"exampleType":"generated"},"a2218120-426a-4f30-a3ce-c68f79160060":{"description":"409 - Conflict","content":{"application/json":{"schema":{"description":"Conflict response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"409-01","message":"Conflict"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"409-01","message":"Conflict"}}}},"exampleType":"generated"}},"exampleType":"generated"},"cf110b0b-ef1c-4b0e-ab6a-ad3b085db3bb":{"description":"413 - Request Entity Too Large","content":{"application/json":{"schema":{"description":"Request Entity Too Large response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"413-01","message":"Request Entity Too Large"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"413-01","message":"Request Entity Too Large"}}}},"exampleType":"generated"}},"exampleType":"generated"},"5232eb76-11e7-4f0c-82ef-191b216868ed":{"description":"422 - Unprocessable Entity","content":{"application/json":{"schema":{"description":"Unprocessable Entity response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"422-01","message":"Unprocessable Entity"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"422-01","message":"Unprocessable Entity"}}}},"exampleType":"generated"}},"exampleType":"generated"},"017a2ae7-c1cb-4f13-b5ca-a019fb710c91":{"description":"429 - Too Many Requests","content":{"application/json":{"schema":{"description":"Too Many Requests response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"429-01","message":"Too Many Requests"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"429-01","message":"Too Many Requests"}}}},"exampleType":"generated"}},"exampleType":"generated"},"b4428959-0de4-4605-8a7f-949edb8439fe":{"description":"503 - Service Unavailable","content":{"application/json":{"schema":{"description":"Service Unavailable response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"503-01","message":"Service Unavailable"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"503-01","message":"Service Unavailable"}}}},"exampleType":"generated"}},"exampleType":"generated"},"cd267523-8fe1-40f2-8fd8-71ab5eafe253":{"description":"500 - Internal Server Error","content":{"application/json":{"schema":{"description":"Default error response","type":"object","properties":{"error":{"example":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"500-01","message":"Internal server error"},"description":"Error details","type":"object","properties":{"requestId":{"type":"string","description":"Unique ID of the failing request","isRequired":true,"uniqueKey":"error.requestId","typeLabel":"string"},"message":{"type":"string","description":"Error message","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","description":"Error code","uniqueKey":"error.code","typeLabel":"string"}},"required":["requestId","message"],"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"requestId":"8e033668-9f1a-11ec-b909-0242ac120002","code":"500-01","message":"Internal server error"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"148487a4-6933-4fc0-9afa-8988e0a65a83":{"API-ID":{"type":"apiKey","in":"header","name":"asapp-api-id","scopes":[]},"API-Secret":{"type":"apiKey","in":"header","name":"asapp-api-secret","scopes":[]}}},"servers":{"9f56ea91-f86e-4174-8fba-84023c700e29":{"url":"https://api.sandbox.asapp.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"asapp-api-id","scopes":[]},"schema":{"title":"asapp-api-id","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"API-ID","name":"asapp-api-id"},{"scheme":{"type":"apiKey","in":"header","name":"asapp-api-secret","scopes":[]},"schema":{"title":"asapp-api-secret","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"API-Secret","name":"asapp-api-secret"}],"title":"API-ID \u0026 API-Secret"}]},"originalFileLocation":"api-specs/generativeagent.yaml"},"subdomain":"asapp","siteName":"ASAPP Docs","title":"Analyze conversation - ASAPP Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-08-19T21:02:31.269Z","originalFileLocation":"apis/generativeagent/analyze-conversation.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Call this API to trigger GenerativeAgent to analyze and respond to a conversation. This API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback. This API also adds an optional message field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\">\u003cmeta data-mint-head name=\"application-name\" content=\"ASAPP Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Analyze conversation - ASAPP Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Call this API to trigger GenerativeAgent to analyze and respond to a conversation. This API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback. This API also adds an optional message field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ASAPP Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.asapp.com/apis/generativeagent/analyze-conversation\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://asapp.mintlify.site/_mintlify/api/og/v2?division=Generative+Agent\u0026amp;title=Analyze+conversation\u0026amp;description=Call+this+API+to+trigger+GenerativeAgent+to+analyze+and+respond+to+a+conversation.%0A%0AThis+API+should+be+called+after+a+customer+sends+a+message+while+not+speakin\u0026amp;theme=6922dbdcde7847e5ec9636ef\u0026amp;signature=fd6d4c13aea0c1200f33e1d5703066d4db32236f6756ddff89f21129f1dd3100\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Analyze conversation - ASAPP Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Call this API to trigger GenerativeAgent to analyze and respond to a conversation. This API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback. This API also adds an optional message field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://asapp.mintlify.site/_mintlify/api/og/v2?division=Generative+Agent\u0026amp;title=Analyze+conversation\u0026amp;description=Call+this+API+to+trigger+GenerativeAgent+to+analyze+and+respond+to+a+conversation.%0A%0AThis+API+should+be+called+after+a+customer+sends+a+message+while+not+speakin\u0026amp;theme=6922dbdcde7847e5ec9636ef\u0026amp;signature=fd6d4c13aea0c1200f33e1d5703066d4db32236f6756ddff89f21129f1dd3100\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/asapp/7bYSGYoukgw4JNNp/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ASAPP Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6447C4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.asapp.com/apis/generativeagent/analyze-conversation\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/apis/generativeagent/analyze-conversation.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.asapp.com/#organization\",\"name\":\"ASAPP Docs\",\"url\":\"https://docs.asapp.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/asapp/9GJ5RFRMu6cXOBP0/logo/light.svg?fit=max\u0026auto=format\u0026n=9GJ5RFRMu6cXOBP0\u0026q=85\u0026s=3d6ef3b54017be3d33a6a40e7b5e8e28\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.asapp.com#website\",\"name\":\"ASAPP Docs\",\"url\":\"https://docs.asapp.com\",\"publisher\":{\"@id\":\"https://docs.asapp.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation#webpage\",\"url\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation\",\"name\":\"Analyze conversation\",\"description\":\"Call this API to trigger GenerativeAgent to analyze and respond to a conversation. This API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback. This API also adds an optional message field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\",\"dateModified\":\"2025-08-19T21:02:31.269Z\",\"isPartOf\":{\"@id\":\"https://docs.asapp.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"ASAPP APIs\",\"item\":\"https://docs.asapp.com/apis/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Analyze conversation\",\"item\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation#apireference\",\"headline\":\"Analyze conversation\",\"name\":\"Analyze conversation\",\"description\":\"Call this API to trigger GenerativeAgent to analyze and respond to a conversation. This API should be called after a customer sends a message while not speaking with a live agent. The Bot replies will not be returned on this request; they will be delivered asynchronously via the webhook callback. This API also adds an optional message field to create a message for a given conversation before triggering the bot replies. The message object is the exact same message used in the conversations API /message endpoint\",\"url\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation\",\"mainEntityOfPage\":{\"@id\":\"https://docs.asapp.com/apis/generativeagent/analyze-conversation#webpage\"},\"dateModified\":\"2025-08-19T21:02:31.269Z\",\"publisher\":{\"@id\":\"https://docs.asapp.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.asapp.com#website\"}}]}\u003c/script>","agentPointerHref":"/apis/generativeagent/analyze-conversation.md","siteName":"ASAPP Docs","nav":{"global":null,"tabs":[{"tab":"GenerativeAgent","pages":[{"title":"GenerativeAgent","href":"/welcome"}]},{"tab":"Human + AI","pages":[{"title":"Human + AI","href":"/human-+-ai"}]},{"tab":"API Reference","groups":[{"group":"ASAPP APIs","pages":[{"title":"Overview","sidebarTitle":"Overview","href":"/apis/overview"},{"group":"Conversations","pages":[{"openapi":"api-specs/conversations.yaml post /conversation/v1/conversations","title":"Create or update a conversation","href":"/apis/conversations/create-or-update-a-conversation"},{"openapi":"api-specs/conversations.yaml get /conversation/v1/conversations","title":"List conversations","href":"/apis/conversations/list-conversations"},{"openapi":"api-specs/conversations.yaml get /conversation/v1/conversations/{conversationId}","title":"Retrieve a conversation","href":"/apis/conversations/retrieve-a-conversation"},{"openapi":"api-specs/conversations.yaml post /conversation/v1/conversations/{conversationId}/authenticate","title":"Authenticate a user in a conversation","href":"/apis/conversations/authenticate-a-user-in-a-conversation"}]},{"group":"Messages","pages":[{"openapi":"post /conversation/v1/conversations/{conversationId}/messages","title":"Create a message","href":"/apis/messages/create-a-message"},{"openapi":"get /conversation/v1/conversations/{conversationId}/messages","title":"List messages","href":"/apis/messages/list-messages"},{"openapi":"get /conversation/v1/conversations/{conversationId}/messages/{messageId}","title":"Retrieve a message","href":"/apis/messages/retrieve-a-message"},{"openapi":"post /conversation/v1/conversations/{conversationId}/messages/batch","title":"Create multiple messages","href":"/apis/messages/create-multiple-messages"},{"openapi":"get /conversation/v1/conversation/messages","title":"List messages with an externalId","description":"Get all messages from a conversation.\n","href":"/apis/messages/list-messages-with-an-externalid"}]},{"group":"Generative Agent","pages":[{"openapi":"api-specs/generativeagent.yaml post /generativeagent/v1/analyze","title":"Analyze conversation","href":"/apis/generativeagent/analyze-conversation"},{"openapi":"api-specs/generativeagent.yaml post /generativeagent/v1/streams","title":"Create stream URL","description":"This API creates a generative agent event streaming URL to start a streaming connection (SSE).\n\nThis API should be called when the client boots-up to request a streaming_url, before it calls endpoints whose responses are delivered asynchronously (and most likely before calling any other endpoint).\n\nProvide the streamId to reconnect to a previous stream.\n","href":"/apis/generativeagent/create-stream-url"},{"openapi":"api-specs/generativeagent.yaml get /generativeagent/v1/state","title":"Get GenerativeAgent state","href":"/apis/generativeagent/get-generativeagent-state"},{"group":"Call Transfers","pages":[{"openapi":"api-specs/generativeagent.yaml post /generativeagent/v1/call-transfers","title":"Create Call Transfer","href":"/apis/generativeagent/create-call-transfer"},{"openapi":"api-specs/generativeagent.yaml get /generativeagent/v1/call-transfers/{callTransferId}","title":"Get Call Transfer","href":"/apis/generativeagent/get-call-transfer"}]},{"group":"Media Gateway","pages":[{"openapi":"api-specs/mg-genagent.yaml get /mg-genagent/v1/twilio-media-stream-url","title":"Get Twilio media stream url","href":"/apis/genagent-media-gateway/get-twilio-media-stream-url"}]}]},{"group":"AI Summary","pages":[{"group":"Free Text Summary","pages":[{"openapi":"api-specs/autosummary.yaml post /autosummary/v1/free-text-summaries","title":"Retrieve free text summary","href":"/apis/autosummary/retrieve-free-text-summary"},{"openapi":"api-specs/autosummary.yaml post /autosummary/v1/feedback/free-text-summaries/{conversationId}","title":"Provide feedback.","href":"/apis/autosummary/provide-feedback"}]},{"group":"Structured Data","pages":[{"openapi":"api-specs/autosummary.yaml post /autosummary/v1/structured-data","title":"Retrieve structured data","href":"/apis/autosummary/retrieve-structured-data"}]},{"group":"Intent","pages":[{"openapi":"api-specs/autosummary.yaml post /autosummary/v1/intent","title":"Create conversation intent","href":"/apis/autosummary/create-conversation-intent"}]}]},{"group":"AI Transcribe","pages":[{"openapi":"api-specs/autotranscribe.yaml post /autotranscribe/v1/streaming-url","title":"Get streaming URL","href":"/apis/autotranscribe/get-streaming-url"},{"group":"Media Gateway","pages":[{"openapi":"api-specs/mg-autotranscribe.yaml post /mg-autotranscribe/v1/start-streaming","title":"Start streaming","href":"/apis/autotranscribe-media-gateway/start-streaming"},{"openapi":"api-specs/mg-autotranscribe.yaml post /mg-autotranscribe/v1/stop-streaming","title":"Stop streaming","href":"/apis/autotranscribe-media-gateway/stop-streaming"},{"openapi":"api-specs/mg-autotranscribe.yaml get /mg-autotranscribe/v1/twilio-media-stream-url","title":"Get Twilio media stream url","href":"/apis/autotranscribe-media-gateway/get-twilio-media-stream-url"}]}]},{"group":"AI Compose","pages":[{"group":"Conversation Suggestions","pages":[{"openapi":"api-specs/autocompose.yaml post /autocompose/v1/conversations/{conversationId}/suggestions","title":"Generate suggestions","href":"/apis/autocompose/generate-suggestions"},{"openapi":"api-specs/autocompose.yaml post /autocompose/v1/profanity/evaluation","title":"Evaluate profanity","href":"/apis/autocompose/evaluate-profanity"},{"openapi":"api-specs/autocompose.yaml post /autocompose/v1/spellcheck/correction","title":"Check for spelling mistakes","href":"/apis/autocompose/check-for-spelling-mistakes"},{"openapi":"api-specs/autocompose.yaml post /autocompose/v1/analytics/message-sent","title":"Create a MessageSent analytics event","href":"/apis/autocompose/create-a-messagesent-analytics-event"},{"openapi":"api-specs/autocompose.yaml post /autocompose/v1/conversations/{conversationId}/message-analytic-events","title":"Create a message analytic event","href":"/apis/autocompose/create-a-message-analytic-event"}]},{"group":"Client Settings","pages":[{"openapi":"api-specs/autocompose.yaml get /autocompose/v1/settings","title":"Get settings for AutoCompose clients","href":"/apis/autocompose/get-settings-for-autocompose-clients"}]},{"group":"AutoPilot","pages":[{"openapi":"api-specs/autocompose.yaml get /autocompose/v1/autopilot/greetings","title":"Get autopilot greetings","href":"/apis/autocompose/get-autopilot-greetings"},{"openapi":"api-specs/autocompose.yaml put /autocompose/v1/autopilot/greetings","title":"Update autopilot greetings","href":"/apis/autocompose/update-autopilot-greetings"},{"openapi":"api-specs/autocompose.yaml get /autocompose/v1/autopilot/greetings/status","title":"Get autopilot greetings status","href":"/apis/autocompose/get-autopilot-greetings-status"},{"openapi":"api-specs/autocompose.yaml put /autocompose/v1/autopilot/greetings/status","title":"Update autopilot greetings status","href":"/apis/autocompose/update-autopilot-greetings-status"}]},{"group":"Responses","pages":[{"openapi":"api-specs/autocompose.yaml get /autocompose/v1/responses/globals","title":"List the global responses","href":"/apis/autocompose/list-the-global-responses"},{"openapi":"api-specs/autocompose.yaml get /autocompose/v1/responses/customs","title":"Get custom responses","href":"/apis/autocompose/get-custom-responses"},{"openapi":"api-specs/autocompose.yaml post /autocompose/v1/responses/customs/folder","title":"Create a response folder","href":"/apis/autocompose/create-a-response-folder"},{"openapi":"api-specs/autocompose.yaml post /autocompose/v1/responses/customs/response","title":"Create a custom response","href":"/apis/autocompose/create-a-custom-response"},{"openapi":"api-specs/autocompose.yaml put /autocompose/v1/responses/customs/response/{responseId}","title":"Update a custom response","href":"/apis/autocompose/update-a-custom-response"},{"openapi":"api-specs/autocompose.yaml delete /autocompose/v1/responses/customs/response/{responseId}","title":"Delete a custom response","href":"/apis/autocompose/delete-a-custom-response"},{"openapi":"api-specs/autocompose.yaml put /autocompose/v1/responses/customs/folder/{folderId}","title":"Update a response folder","href":"/apis/autocompose/update-a-response-folder"},{"openapi":"api-specs/autocompose.yaml delete /autocompose/v1/responses/customs/folder/{folderId}","title":"Delete a response folder","href":"/apis/autocompose/delete-a-response-folder"}]}]},{"group":"Knowledge Base","pages":[{"group":"Articles","pages":[{"openapi":"api-specs/knowledge-base.yaml get /knowledge-base/v1/articles/{id}","title":"Retrieve an article","href":"/apis/knowledge-base/retrieve-an-article"}]},{"group":"Submissions","pages":[{"openapi":"api-specs/knowledge-base.yaml post /knowledge-base/v1/submissions","title":"Create a submission","href":"/apis/knowledge-base/create-a-submission"},{"openapi":"api-specs/knowledge-base.yaml get /knowledge-base/v1/submissions/{id}","title":"Retrieve a submission","href":"/apis/knowledge-base/retrieve-a-submission"}]}]},{"group":"Configuration","pages":[{"group":"Custom Vocabularies","pages":[{"openapi":"api-specs/partner-configuration.yaml post /configuration/v1/custom-vocabularies","title":"Create a custom vocabulary","href":"/apis/configuration/custom-vocabularies/create-custom-vocabularies"},{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/custom-vocabularies/{customVocabularyId}","title":"Retrieve a custom vocabulary","href":"/apis/configuration/custom-vocabularies/get-custom-vocabularies"},{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/custom-vocabularies","title":"List custom vocabularies","href":"/apis/configuration/custom-vocabularies/list-custom-vocabularies"},{"openapi":"api-specs/partner-configuration.yaml delete /configuration/v1/custom-vocabularies/{customVocabularyId}","title":"Delete a custom vocabulary","href":"/apis/configuration/custom-vocabularies/delete-custom-vocabularies"}]},{"group":"Redaction Entities","pages":[{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/redaction-entities","title":"List redaction entities","href":"/apis/configuration/redaction-entities/list-redaction-entities"},{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/redaction-entities/{entityId}","title":"Retrieve a redaction entity","href":"/apis/configuration/redaction-entities/get-redaction-entity"},{"openapi":"api-specs/partner-configuration.yaml patch /configuration/v1/redaction-entities/{entityId}","title":"Update a redaction entity","href":"/apis/configuration/redaction-entities/update-redaction-entity"}]},{"group":"Structured Data Fields","pages":[{"openapi":"api-specs/partner-configuration.yaml post /configuration/v1/structured-data-fields","title":"Create a structured data field","href":"/apis/configuration/structured-data-fields/create-structured-data-field"},{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/structured-data-fields","title":"List structured data fields","href":"/apis/configuration/structured-data-fields/list-structured-data-fields"},{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/structured-data-fields/{structuredDataFieldId}","title":"Retrieve a structured data field","href":"/apis/configuration/structured-data-fields/get-structured-data-field"},{"openapi":"api-specs/partner-configuration.yaml put /configuration/v1/structured-data-fields/{structuredDataFieldId}","title":"Update a structured data field","href":"/apis/configuration/structured-data-fields/update-structured-data-field"},{"openapi":"api-specs/partner-configuration.yaml delete /configuration/v1/structured-data-fields/{structuredDataFieldId}","title":"Delete a structured data field","href":"/apis/configuration/structured-data-fields/delete-structured-data-field"}]},{"group":"Segments","pages":[{"openapi":"api-specs/partner-configuration.yaml post /configuration/v1/segments","title":"Create a segment","href":"/apis/configuration/segments/create-segment"},{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/segments","title":"List segments","href":"/apis/configuration/segments/list-segments"},{"openapi":"api-specs/partner-configuration.yaml get /configuration/v1/segments/{segmentId}","title":"Retrieve a segment","href":"/apis/configuration/segments/get-segment"},{"openapi":"api-specs/partner-configuration.yaml patch /configuration/v1/segments/{segmentId}","title":"Partial update a segment","href":"/apis/configuration/segments/update-segment"},{"openapi":"api-specs/partner-configuration.yaml delete /configuration/v1/segments/{segmentId}","title":"Delete a segment","href":"/apis/configuration/segments/delete-segment"}]}]},{"group":"File Exporter","pages":[{"group":"Feeds","pages":[{"openapi":"api-specs/fileexporter.yaml post /fileexporter/v1/static/listfeeds","title":"List feeds","href":"/apis/file-exporter/list-feeds"},{"openapi":"api-specs/fileexporter.yaml post /fileexporter/v1/static/listfeedversions","title":"List feed versions","href":"/apis/file-exporter/list-feed-versions"},{"openapi":"api-specs/fileexporter.yaml post /fileexporter/v1/static/listfeedformats","title":"List feed formats","href":"/apis/file-exporter/list-feed-formats"},{"openapi":"api-specs/fileexporter.yaml post /fileexporter/v1/static/listfeeddates","title":"List feed dates","href":"/apis/file-exporter/list-feed-dates"},{"openapi":"api-specs/fileexporter.yaml post /fileexporter/v1/static/listfeedintervals","title":"List feed intervals","href":"/apis/file-exporter/list-feed-intervals"},{"openapi":"api-specs/fileexporter.yaml post /fileexporter/v1/static/listfeedfiles","title":"List feed files","href":"/apis/file-exporter/list-feed-files"},{"openapi":"api-specs/fileexporter.yaml post /fileexporter/v1/static/getfeedfile","title":"Retrieve a feed file","href":"/apis/file-exporter/retrieve-a-feed-file"}]}]},{"group":"Metadata","pages":[{"group":"Agent Metadata","pages":[{"openapi":"api-specs/metadata-ingestion.yaml post /metadata-ingestion/v1/single-agent-metadata","title":"Add an agent metadata","href":"/apis/metadata/add-an-agent-metadata"},{"openapi":"api-specs/metadata-ingestion.yaml post /metadata-ingestion/v1/many-agent-metadata","title":"Add multiple agent metadata","href":"/apis/metadata/add-multiple-agent-metadata"}]},{"group":"Conversation Metadata","pages":[{"openapi":"api-specs/metadata-ingestion.yaml post /metadata-ingestion/v1/single-convo-metadata","title":"Add a conversation metadata","href":"/apis/metadata/add-a-conversation-metadata"},{"openapi":"api-specs/metadata-ingestion.yaml post /metadata-ingestion/v1/many-convo-metadata","title":"Add multiple conversation metadata","href":"/apis/metadata/add-multiple-conversation-metadata"}]},{"group":"Customer Metadata","pages":[{"openapi":"api-specs/metadata-ingestion.yaml post /metadata-ingestion/v1/single-customer-metadata","title":"Add a customer metadata","href":"/apis/metadata/add-a-customer-metadata"},{"openapi":"api-specs/metadata-ingestion.yaml post /metadata-ingestion/v1/many-customer-metadata","title":"Add multiple customer metadata","href":"/apis/metadata/add-multiple-customer-metadata"}]}]},{"group":"Health Check","pages":[{"openapi":"api-specs/healthcheck.yaml get /v1/health","title":"Check ASAPP's API's health.","href":"/apis/health-check/check-asapps-apis-health"}]}]}]},{"tab":"Release Notes","pages":[{"title":"Release Notes","href":"/releases/overview"}]}]},"basePath":"","title":"Analyze conversation - ASAPP Docs","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}